## latd 1.31

=== Makefile ===
# Makefile.in generated by automake 1.11.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.





am__make_dryrun = \
  { \
    am__dry=no; \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
      *) \
        for am__flg in $$MAKEFLAGS; do \
          case $$am__flg in \
            *=*|--*) ;; \
            *n*) am__dry=yes; break;; \
          esac; \
        done;; \
    esac; \
    test $$am__dry = yes; \
  }
pkgdatadir = $(datadir)/latd
pkgincludedir = $(includedir)/latd
pkglibdir = $(libdir)/latd
pkglibexecdir = $(libexecdir)/latd
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
sbin_PROGRAMS = latd$(EXEEXT) latcp$(EXEEXT) moprc$(EXEEXT)
bin_PROGRAMS = llogin$(EXEEXT)
subdir = .
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(top_srcdir)/configure COPYING INSTALL \
	NEWS TODO depcomp install-sh missing mkinstalldirs
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(sbindir)" \
	"$(DESTDIR)$(man1dir)" "$(DESTDIR)$(man5dir)" \
	"$(DESTDIR)$(man8dir)" "$(DESTDIR)$(sysconfdir)"
PROGRAMS = $(bin_PROGRAMS) $(sbin_PROGRAMS)
am_latcp_OBJECTS = latcp.$(OBJEXT) utils.$(OBJEXT)
latcp_OBJECTS = $(am_latcp_OBJECTS)
latcp_LDADD = $(LDADD)
am_latd_OBJECTS = main.$(OBJEXT) circuit.$(OBJEXT) \
	clientsession.$(OBJEXT) connection.$(OBJEXT) \
	interfaces.$(OBJEXT) lat_messages.$(OBJEXT) \
	latcpcircuit.$(OBJEXT) llogincircuit.$(OBJEXT) \
	lloginsession.$(OBJEXT) localportsession.$(OBJEXT) \
	queuedsession.$(OBJEXT) localport.$(OBJEXT) server.$(OBJEXT) \
	serversession.$(OBJEXT) services.$(OBJEXT) session.$(OBJEXT) \
	reversesession.$(OBJEXT) utils.$(OBJEXT)
latd_OBJECTS = $(am_latd_OBJECTS)
am__DEPENDENCIES_1 =
am_llogin_OBJECTS = llogin.$(OBJEXT) utils.$(OBJEXT)
llogin_OBJECTS = $(am_llogin_OBJECTS)
llogin_DEPENDENCIES =
am_moprc_OBJECTS = moprc.$(OBJEXT) interfaces.$(OBJEXT) \
	utils.$(OBJEXT)
moprc_OBJECTS = $(am_moprc_OBJECTS)
DEFAULT_INCLUDES = -I.
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
	-o $@
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(latcp_SOURCES) $(latd_SOURCES) $(llogin_SOURCES) \
	$(moprc_SOURCES)
DIST_SOURCES = $(latcp_SOURCES) $(latd_SOURCES) $(llogin_SOURCES) \
	$(moprc_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
man1dir = $(mandir)/man1
man5dir = $(mandir)/man5
man8dir = $(mandir)/man8
NROFF = nroff
MANS = $(man_MANS)
DATA = $(sysconf_DATA)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  if test -d "$(distdir)"; then \
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
      && rm -rf "$(distdir)" \
      || { sleep 5 && rm -rf "$(distdir)"; }; \
  else :; fi
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/christine/dev/latd/missing --run aclocal-1.11
AMTAR = $${TAR-tar}
AUTOCONF = ${SHELL} /home/christine/dev/latd/missing --run autoconf
AUTOHEADER = ${SHELL} /home/christine/dev/latd/missing --run autoheader
AUTOMAKE = ${SHELL} /home/christine/dev/latd/missing --run automake-1.11
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -DENABLE_DEFAULT_SERVICE -W
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"latd\" -DVERSION=\"1.31\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_PTY_H=1 -DHAVE_TERMIOS_H=1 -DHAVE_MCHECK_H=1 -DHAVE_NETINET_ETHER_H=1 -DHAVE_NET_ETHERNET_H=1 -DHAVE_FEATURES_H=1 -DHAVE_OPENPTY=1 -DLOGIN_BIN=\"/bin/login\" -DHAVE_LOCKDEV_H=1 -DLATCP_SOCKNAME=\"/var/run/latcp\" -DLLOGIN_SOCKNAME=\"/var/run/latlogin\"
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTERFACE = interfaces-linux.o
LDFLAGS = 
LIBLOCKDEV = -llockdev
LIBOBJS = 
LIBS = 
LIBUTIL = -lutil
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/christine/dev/latd/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = latd
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_URL = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/bash
STRIP = 
VERSION = 1.31
abs_builddir = /home/christine/dev/latd
abs_srcdir = /home/christine/dev/latd
abs_top_builddir = /home/christine/dev/latd
abs_top_srcdir = /home/christine/dev/latd
ac_ct_CC = gcc
ac_ct_CXX = g++
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build_alias = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/christine/dev/latd/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = /etc
target_alias = 
top_build_prefix = 
top_builddir = .
top_srcdir = .
AUTOMAKE_OPTIONS = 1.4 foreign
DPKG_EXPORT_BUILDFLAGS = 1
AM_CXXFLAGS = -fno-rtti -fno-exceptions -Wno-unused
INCLUDES = -DLATD_CONF=\"$(sysconfdir)/latd.conf\" -DSBINDIR=\"$(sbindir)\" -DBINDIR=\"$(bindir)\"
sysconf_DATA = latd.conf.sample
man_MANS = latd.8 latcp.8 llogin.1 moprc.8 latd.conf.5
latd_SOURCES = main.cc \
	circuit.h circuit.cc \
	clientsession.h clientsession.cc \
	connection.h connection.cc \
	interfaces.h interfaces.cc \
	lat_messages.h lat_messages.cc \
	latcpcircuit.h latcpcircuit.cc \
	llogincircuit.h llogincircuit.cc \
	lloginsession.h lloginsession.cc \
	localportsession.h localportsession.cc \
	queuedsession.h queuedsession.cc \
	localport.h localport.cc \
	server.h server.cc \
	serversession.h serversession.cc \
	services.h services.cc \
	session.h session.cc \
	reversesession.h reversesession.cc \
	utils.h utils.cc \
	dn_endian.h lat.h

latcp_SOURCES = latcp.h latcp.cc utils.h utils.cc \
	 dn_endian.h lat.h

llogin_SOURCES = llogin.cc utils.cc
moprc_SOURCES = moprc.h moprc.cc interfaces.cc utils.cc
EXTRA_DIST = $(man_MANS) WARRANTY latd.conf.sample lat.html \
	interfaces-linux.cc interfaces-linux.h \
	interfaces-bpf.cc interfaces-bpf.h \
	mkrpm.sh rpm.spec startlat.sh latprint.sh

latd_DEPENDENCIES = interfaces-linux.o
latd_LDADD = $(latd_DEPENDENCIES) -lutil
moprc_DEPENDENCIES = interfaces-linux.o
moprc_LDADD = $(moprc_DEPENDENCIES)
llogin_LDADD = -llockdev
all: all-am

.SUFFIXES:
.SUFFIXES: .cc .o .obj
am--refresh: Makefile
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	$(am__cd) $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
$(am__aclocal_m4_deps):
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
	fi; \
	for p in $$list; do echo "$$p $$p"; done | \
	sed 's/$(EXEEXT)$$//' | \

=== debian/changelog ===
latd (1.31) unstable; urgency=low

  * Don't crash if we are fed a malicious version number.
    Closes: #699625
  * Fix some Lintian errors regarding LSB and build flags

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Sun,  6 Dec 2013 11:32:08 +0000

=== debian/control ===
Source: latd
Section: net
Priority: extra
Maintainer: Christine Caulfield <chrissie@debian.org>
Build-Depends: debhelper(>=2.0), liblockdev1-dev
Standards-Version: 3.5.9

Package: latd
Section: net
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}
Description: LAT (Local Area Transport) Daemon
 This is a server for DEC LAT. It allows users to log in to the Linux
 system from a LAT terminal server and also the creation of "reverse" LAT
 ports on the system that connect to other LAT services on the network.
 .
 There is also an llogin utility that allows users to login to remote 
 LAT services and a moprc utility for managing terminal servers remotely.

## latd 1.32

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
-# Makefile.in generated by automake 1.11.5 from Makefile.am.
+# Makefile.in generated by automake 1.11 from Makefile.am.
 # Makefile.  Generated from Makefile.in by configure.
 
 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
-# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
-# Foundation, Inc.
+# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
+# Inc.
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
 # with or without modifications, as long as this notice is preserved.
@@ -17,23 +17,6 @@
 
 
 
-am__make_dryrun = \
-  { \
-    am__dry=no; \
-    case $$MAKEFLAGS in \
-      *\\[\ \	]*) \
-        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
-          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
-      *) \
-        for am__flg in $$MAKEFLAGS; do \
-          case $$am__flg in \
-            *=*|--*) ;; \
-            *n*) am__dry=yes; break;; \
-          esac; \
-        done;; \
-    esac; \
-    test $$am__dry = yes; \
-  }
 pkgdatadir = $(datadir)/latd
 pkgincludedir = $(includedir)/latd
 pkglibdir = $(libdir)/latd
@@ -106,11 +89,6 @@
 	$(moprc_SOURCES)
 DIST_SOURCES = $(latcp_SOURCES) $(latd_SOURCES) $(llogin_SOURCES) \
 	$(moprc_SOURCES)
-am__can_run_installinfo = \
-  case $$AM_UPDATE_INFO_DIR in \
-    n|no|NO) false;; \
-    *) (install-info --version) >/dev/null 2>&1;; \
-  esac
 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
 am__vpath_adj = case $$p in \
     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
@@ -132,12 +110,6 @@
 am__base_list = \
   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
-am__uninstall_files_from_dir = { \
-  test -z "$$files" \
-    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
-    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
-         $(am__cd) "$$dir" && rm -f $$files; }; \
-  }
 man1dir = $(mandir)/man1
 man5dir = $(mandir)/man5
 man8dir = $(mandir)/man8
@@ -150,19 +122,15 @@
 distdir = $(PACKAGE)-$(VERSION)
 top_distdir = $(distdir)
 am__remove_distdir = \
-  if test -d "$(distdir)"; then \
-    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
-      && rm -rf "$(distdir)" \
-      || { sleep 5 && rm -rf "$(distdir)"; }; \
-  else :; fi
+  { test ! -d "$(distdir)" \
+    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
+         && rm -fr "$(distdir)"; }; }
 DIST_ARCHIVES = $(distdir).tar.gz
 GZIP_ENV = --best
 distuninstallcheck_listfiles = find . -type f -print
-am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
-  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
 distcleancheck_listfiles = find . -type f -print
 ACLOCAL = ${SHELL} /home/christine/dev/latd/missing --run aclocal-1.11
-AMTAR = $${TAR-tar}
+AMTAR = ${SHELL} /home/christine/dev/latd/missing --run tar
 AUTOCONF = ${SHELL} /home/christine/dev/latd/missing --run autoconf
 AUTOHEADER = ${SHELL} /home/christine/dev/latd/missing --run autoheader
 AUTOMAKE = ${SHELL} /home/christine/dev/latd/missing --run automake-1.11
@@ -176,7 +144,7 @@
 CXXDEPMODE = depmode=gcc3
 CXXFLAGS = -g -O2 -DENABLE_DEFAULT_SERVICE -W
 CYGPATH_W = echo
-DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"latd\" -DVERSION=\"1.31\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_PTY_H=1 -DHAVE_TERMIOS_H=1 -DHAVE_MCHECK_H=1 -DHAVE_NETINET_ETHER_H=1 -DHAVE_NET_ETHERNET_H=1 -DHAVE_FEATURES_H=1 -DHAVE_OPENPTY=1 -DLOGIN_BIN=\"/bin/login\" -DHAVE_LOCKDEV_H=1 -DLATCP_SOCKNAME=\"/var/run/latcp\" -DLLOGIN_SOCKNAME=\"/var/run/latlogin\"
+DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"latd\" -DVERSION=\"1.29\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_PTY_H=1 -DHAVE_TERMIOS_H=1 -DHAVE_MCHECK_H=1 -DHAVE_NETINET_ETHER_H=1 -DHAVE_NET_ETHERNET_H=1 -DHAVE_FEATURES_H=1 -DHAVE_OPENPTY=1 -DLOGIN_BIN=\"/bin/login\" -DHAVE_LOCKDEV_H=1 -DLATCP_SOCKNAME=\"/var/run/latcp\" -DLLOGIN_SOCKNAME=\"/var/run/latlogin\"
 DEPDIR = .deps
 ECHO_C = 
 ECHO_N = -n
@@ -210,7 +178,7 @@
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = 
-VERSION = 1.31
+VERSION = 1.29
 abs_builddir = /home/christine/dev/latd
 abs_srcdir = /home/christine/dev/latd
 abs_top_builddir = /home/christine/dev/latd
@@ -220,8 +188,8 @@
 am__include = include
 am__leading_dot = .
 am__quote = 
-am__tar = $${TAR-tar} chof - "$$tardir"
-am__untar = $${TAR-tar} xf -
+am__tar = ${AMTAR} chof - "$$tardir"
+am__untar = ${AMTAR} xf -
 bindir = ${exec_prefix}/bin
 build_alias = 
 builddir = .
@@ -255,7 +223,6 @@
 top_builddir = .
 top_srcdir = .
 AUTOMAKE_OPTIONS = 1.4 foreign
-DPKG_EXPORT_BUILDFLAGS = 1
 AM_CXXFLAGS = -fno-rtti -fno-exceptions -Wno-unused
 INCLUDES = -DLATD_CONF=\"$(sysconfdir)/latd.conf\" -DSBINDIR=\"$(sbindir)\" -DBINDIR=\"$(bindir)\"
 sysconf_DATA = latd.conf.sample
@@ -299,7 +266,7 @@
 
 .SUFFIXES:
 .SUFFIXES: .cc .o .obj
-am--refresh: Makefile
+am--refresh:
 	@:
 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
 	@for dep in $?; do \
@@ -335,10 +302,32 @@
 $(am__aclocal_m4_deps):
 install-binPROGRAMS: $(bin_PROGRAMS)
 	@$(NORMAL_INSTALL)
+	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
 	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
-	if test -n "$$list"; then \
-	  echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
-	  $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
-	fi; \
 	for p in $$list; do echo "$$p $$p"; done | \
 	sed 's/$(EXEEXT)$$//' | \
+	while read p p1; do if test -f $$p; \
+	  then echo "$$p"; echo "$$p"; else :; fi; \
+	done | \
+	sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
+	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
+	sed 'N;N;N;s,\n, ,g' | \
+	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
+	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
+	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
+	    else { print "f", $$3 "/" $$4, $$1; } } \
+	  END { for (d in files) print "f", d, files[d] }' | \
+	while read type dir files; do \
+	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
+	    test -z "$$files" || { \
+	      echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
+	      $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
+	    } \
+	; done
+
+uninstall-binPROGRAMS:
+	@$(NORMAL_UNINSTALL)
+	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
+	files=`for p in $$list; do echo "$$p"; done | \
+	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
+	      -e 's/$$/$(EXEEXT)/' `; \

=== debian/changelog ===
latd (1.32) unstable; urgency=low

  * Revert changes in 1.31 that are not related to #699625 so we can get into wheezy

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Mon,  5 Feb 2013 11:50:55 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: latd
 Section: net
 Priority: extra
-Maintainer: Christine Caulfield <chrissie@debian.org>
+Maintainer: Christine Caulfield <Christine.Caulfield@googlemail.com>
 Build-Depends: debhelper(>=2.0), liblockdev1-dev
 Standards-Version: 3.5.9

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=latd

build:
	$(checkdir)
	./configure --prefix=/usr --sysconfdir=/etc
	make
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/latd `find debian/* -type d ! -name CVS ` debian/files* core
	-rm -f debian/*substvars
	-rm -rf BUILD RPMS .deps
	-rm -f config.status
	dh_clean -k

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	install -d debian/latd/etc
	install -d debian/latd/usr/share
	make install DESTDIR=`pwd`/debian/latd
	cp latd.conf.sample debian/latd/etc/latd.conf
	dh_installdirs
	dh_installchangelogs
	dh_installdocs
	dh_link
	dh_installinit
	dh_strip
	dh_movefiles -platd --sourcedir=debian/latd
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_gencontrol
	dh_installdeb
	dh_md5sums
	dh_builddeb


define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## latd 1.33

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
-# Makefile.in generated by automake 1.11 from Makefile.am.
+# Makefile.in generated by automake 1.11.6 from Makefile.am.
 # Makefile.  Generated from Makefile.in by configure.
 
 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
-# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
-# Inc.
+# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
+# Foundation, Inc.
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
 # with or without modifications, as long as this notice is preserved.
@@ -17,6 +17,23 @@
 
 
 
+am__make_dryrun = \
+  { \
+    am__dry=no; \
+    case $$MAKEFLAGS in \
+      *\\[\ \	]*) \
+        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
+          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
+      *) \
+        for am__flg in $$MAKEFLAGS; do \
+          case $$am__flg in \
+            *=*|--*) ;; \
+            *n*) am__dry=yes; break;; \
+          esac; \
+        done;; \
+    esac; \
+    test $$am__dry = yes; \
+  }
 pkgdatadir = $(datadir)/latd
 pkgincludedir = $(includedir)/latd
 pkglibdir = $(libdir)/latd
@@ -89,6 +106,11 @@
 	$(moprc_SOURCES)
 DIST_SOURCES = $(latcp_SOURCES) $(latd_SOURCES) $(llogin_SOURCES) \
 	$(moprc_SOURCES)
+am__can_run_installinfo = \
+  case $$AM_UPDATE_INFO_DIR in \
+    n|no|NO) false;; \
+    *) (install-info --version) >/dev/null 2>&1;; \
+  esac
 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
 am__vpath_adj = case $$p in \
     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
@@ -110,6 +132,12 @@
 am__base_list = \
   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
+am__uninstall_files_from_dir = { \
+  test -z "$$files" \
+    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
+    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
+         $(am__cd) "$$dir" && rm -f $$files; }; \
+  }
 man1dir = $(mandir)/man1
 man5dir = $(mandir)/man5
 man8dir = $(mandir)/man8
@@ -122,29 +150,33 @@
 distdir = $(PACKAGE)-$(VERSION)
 top_distdir = $(distdir)
 am__remove_distdir = \
-  { test ! -d "$(distdir)" \
-    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
-         && rm -fr "$(distdir)"; }; }
+  if test -d "$(distdir)"; then \
+    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
+      && rm -rf "$(distdir)" \
+      || { sleep 5 && rm -rf "$(distdir)"; }; \
+  else :; fi
 DIST_ARCHIVES = $(distdir).tar.gz
 GZIP_ENV = --best
 distuninstallcheck_listfiles = find . -type f -print
+am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
+  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
 distcleancheck_listfiles = find . -type f -print
 ACLOCAL = ${SHELL} /home/christine/dev/latd/missing --run aclocal-1.11
-AMTAR = ${SHELL} /home/christine/dev/latd/missing --run tar
+AMTAR = $${TAR-tar}
 AUTOCONF = ${SHELL} /home/christine/dev/latd/missing --run autoconf
 AUTOHEADER = ${SHELL} /home/christine/dev/latd/missing --run autoheader
 AUTOMAKE = ${SHELL} /home/christine/dev/latd/missing --run automake-1.11
 AWK = mawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
-CFLAGS = -g -O2
+CFLAGS = -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security
 CPP = gcc -E
-CPPFLAGS = 
+CPPFLAGS = -D_FORTIFY_SOURCE=2
 CXX = g++
 CXXDEPMODE = depmode=gcc3
-CXXFLAGS = -g -O2 -DENABLE_DEFAULT_SERVICE -W
+CXXFLAGS = -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -DENABLE_DEFAULT_SERVICE -W
 CYGPATH_W = echo
-DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"latd\" -DVERSION=\"1.29\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_PTY_H=1 -DHAVE_TERMIOS_H=1 -DHAVE_MCHECK_H=1 -DHAVE_NETINET_ETHER_H=1 -DHAVE_NET_ETHERNET_H=1 -DHAVE_FEATURES_H=1 -DHAVE_OPENPTY=1 -DLOGIN_BIN=\"/bin/login\" -DHAVE_LOCKDEV_H=1 -DLATCP_SOCKNAME=\"/var/run/latcp\" -DLLOGIN_SOCKNAME=\"/var/run/latlogin\"
+DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"latd\" -DVERSION=\"1.33\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_PTY_H=1 -DHAVE_TERMIOS_H=1 -DHAVE_MCHECK_H=1 -DHAVE_NETINET_ETHER_H=1 -DHAVE_NET_ETHERNET_H=1 -DHAVE_FEATURES_H=1 -DHAVE_OPENPTY=1 -DLOGIN_BIN=\"/bin/login\" -DHAVE_LOCKDEV_H=1 -DLATCP_SOCKNAME=\"/var/run/latcp\" -DLLOGIN_SOCKNAME=\"/var/run/latlogin\"
 DEPDIR = .deps
 ECHO_C = 
 ECHO_N = -n
@@ -158,7 +190,7 @@
 INSTALL_SCRIPT = ${INSTALL}
 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
 INTERFACE = interfaces-linux.o
-LDFLAGS = 
+LDFLAGS = -Wl,-z,relro
 LIBLOCKDEV = -llockdev
 LIBOBJS = 
 LIBS = 
@@ -178,7 +210,7 @@
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = 
-VERSION = 1.29
+VERSION = 1.33
 abs_builddir = /home/christine/dev/latd
 abs_srcdir = /home/christine/dev/latd
 abs_top_builddir = /home/christine/dev/latd
@@ -188,8 +220,8 @@
 am__include = include
 am__leading_dot = .
 am__quote = 
-am__tar = ${AMTAR} chof - "$$tardir"
-am__untar = ${AMTAR} xf -
+am__tar = $${TAR-tar} chof - "$$tardir"
+am__untar = $${TAR-tar} xf -
 bindir = ${exec_prefix}/bin
 build_alias = 
 builddir = .
@@ -223,6 +255,7 @@
 top_builddir = .
 top_srcdir = .
 AUTOMAKE_OPTIONS = 1.4 foreign
+DPKG_EXPORT_BUILDFLAGS = 1
 AM_CXXFLAGS = -fno-rtti -fno-exceptions -Wno-unused
 INCLUDES = -DLATD_CONF=\"$(sysconfdir)/latd.conf\" -DSBINDIR=\"$(sbindir)\" -DBINDIR=\"$(bindir)\"
 sysconf_DATA = latd.conf.sample
@@ -266,7 +299,7 @@
 
 .SUFFIXES:
 .SUFFIXES: .cc .o .obj
-am--refresh:
+am--refresh: Makefile
 	@:
 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
 	@for dep in $?; do \
@@ -302,32 +335,4 @@
 $(am__aclocal_m4_deps):
 install-binPROGRAMS: $(bin_PROGRAMS)
 	@$(NORMAL_INSTALL)
-	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
 	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
-	for p in $$list; do echo "$$p $$p"; done | \
-	sed 's/$(EXEEXT)$$//' | \
-	while read p p1; do if test -f $$p; \
-	  then echo "$$p"; echo "$$p"; else :; fi; \
-	done | \
-	sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
-	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
-	sed 'N;N;N;s,\n, ,g' | \
-	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
-	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
-	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
-	    else { print "f", $$3 "/" $$4, $$1; } } \
-	  END { for (d in files) print "f", d, files[d] }' | \
-	while read type dir files; do \
-	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
-	    test -z "$$files" || { \
-	      echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
-	      $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
-	    } \
-	; done
-
-uninstall-binPROGRAMS:
-	@$(NORMAL_UNINSTALL)
-	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
-	files=`for p in $$list; do echo "$$p"; done | \
-	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
-	      -e 's/$$/$(EXEEXT)/' `; \

## latd 1.34

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,8 @@
-# Makefile.in generated by automake 1.11.6 from Makefile.am.
+# Makefile.in generated by automake 1.14 from Makefile.am.
 # Makefile.  Generated from Makefile.in by configure.
 
-# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
-# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
-# Foundation, Inc.
+# Copyright (C) 1994-2013 Free Software Foundation, Inc.
+
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
 # with or without modifications, as long as this notice is preserved.
@@ -17,23 +16,51 @@
 
 
 
-am__make_dryrun = \
-  { \
-    am__dry=no; \
+am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
+am__make_running_with_option = \
+  case $${target_option-} in \
+      ?) ;; \
+      *) echo "am__make_running_with_option: internal error: invalid" \
+              "target option '$${target_option-}' specified" >&2; \
+         exit 1;; \
+  esac; \
+  has_opt=no; \
+  sane_makeflags=$$MAKEFLAGS; \
+  if $(am__is_gnu_make); then \
+    sane_makeflags=$$MFLAGS; \
+  else \
     case $$MAKEFLAGS in \
       *\\[\ \	]*) \
-        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
-          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
-      *) \
-        for am__flg in $$MAKEFLAGS; do \
-          case $$am__flg in \
-            *=*|--*) ;; \
-            *n*) am__dry=yes; break;; \
-          esac; \
-        done;; \
+        bs=\\; \
+        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
+          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
     esac; \
-    test $$am__dry = yes; \
-  }
+  fi; \
+  skip_next=no; \
+  strip_trailopt () \
+  { \
+    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
+  }; \
+  for flg in $$sane_makeflags; do \
+    test $$skip_next = yes && { skip_next=no; continue; }; \
+    case $$flg in \
+      *=*|--*) continue;; \
+        -*I) strip_trailopt 'I'; skip_next=yes;; \
+      -*I?*) strip_trailopt 'I';; \
+        -*O) strip_trailopt 'O'; skip_next=yes;; \
+      -*O?*) strip_trailopt 'O';; \
+        -*l) strip_trailopt 'l'; skip_next=yes;; \
+      -*l?*) strip_trailopt 'l';; \
+      -[dEDm]) skip_next=yes;; \
+      -[JT]) skip_next=yes;; \
+    esac; \
+    case $$flg in \
+      *$$target_option*) has_opt=yes; break;; \
+    esac; \
+  done; \
+  test $$has_opt = yes
+am__make_dryrun = (target_option=n; $(am__make_running_with_option))
+am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
 pkgdatadir = $(datadir)/latd
 pkgincludedir = $(includedir)/latd
 pkglibdir = $(libdir)/latd
@@ -53,9 +80,10 @@
 sbin_PROGRAMS = latd$(EXEEXT) latcp$(EXEEXT) moprc$(EXEEXT)
 bin_PROGRAMS = llogin$(EXEEXT)
 subdir = .
-DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
-	$(srcdir)/Makefile.in $(top_srcdir)/configure COPYING INSTALL \
-	NEWS TODO depcomp install-sh missing mkinstalldirs
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
+	$(top_srcdir)/configure $(am__configure_deps) mkinstalldirs \
+	depcomp COPYING INSTALL NEWS README TODO compile install-sh \
+	missing
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
 	$(top_srcdir)/configure.in
@@ -89,19 +117,47 @@
 am_moprc_OBJECTS = moprc.$(OBJEXT) interfaces.$(OBJEXT) \
 	utils.$(OBJEXT)
 moprc_OBJECTS = $(am_moprc_OBJECTS)
+AM_V_P = $(am__v_P_$(V))
+am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
+am__v_P_0 = false
+am__v_P_1 = :
+AM_V_GEN = $(am__v_GEN_$(V))
+am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
+am__v_GEN_0 = @echo "  GEN     " $@;
+am__v_GEN_1 = 
+AM_V_at = $(am__v_at_$(V))
+am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
+am__v_at_0 = @
+am__v_at_1 = 
 DEFAULT_INCLUDES = -I.
 depcomp = $(SHELL) $(top_srcdir)/depcomp
 am__depfiles_maybe = depfiles
 am__mv = mv -f
 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
+AM_V_CXX = $(am__v_CXX_$(V))
+am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
+am__v_CXX_0 = @echo "  CXX     " $@;
+am__v_CXX_1 = 
 CXXLD = $(CXX)
 CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
 	-o $@
+AM_V_CXXLD = $(am__v_CXXLD_$(V))
+am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
+am__v_CXXLD_0 = @echo "  CXXLD   " $@;
+am__v_CXXLD_1 = 
 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
+AM_V_CC = $(am__v_CC_$(V))
+am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
+am__v_CC_0 = @echo "  CC      " $@;
+am__v_CC_1 = 
 CCLD = $(CC)
 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
+AM_V_CCLD = $(am__v_CCLD_$(V))
+am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
+am__v_CCLD_0 = @echo "  CCLD    " $@;
+am__v_CCLD_1 = 
 SOURCES = $(latcp_SOURCES) $(latd_SOURCES) $(llogin_SOURCES) \
 	$(moprc_SOURCES)
 DIST_SOURCES = $(latcp_SOURCES) $(latd_SOURCES) $(llogin_SOURCES) \
@@ -144,8 +200,27 @@
 NROFF = nroff
 MANS = $(man_MANS)
 DATA = $(sysconf_DATA)
+am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
+# Read a list of newline-separated strings from the standard input,
+# and print each of them once, without duplicates.  Input order is
+# *not* preserved.
+am__uniquify_input = $(AWK) '\
+  BEGIN { nonempty = 0; } \
+  { items[$$0] = 1; nonempty = 1; } \
+  END { if (nonempty) { for (i in items) print i; }; } \
+'
+# Make sure the list of sources is unique.  This is necessary because,
+# e.g., the same source file might be shared among _SOURCES variables
+# for different programs/libraries.
+am__define_uniq_tagged_files = \
+  list='$(am__tagged_files)'; \
+  unique=`for i in $$list; do \
+    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
+  done | $(am__uniquify_input)`
 ETAGS = etags
 CTAGS = ctags
+CSCOPE = cscope
+AM_RECURSIVE_TARGETS = cscope
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 distdir = $(PACKAGE)-$(VERSION)
 top_distdir = $(distdir)
@@ -155,17 +230,20 @@
       && rm -rf "$(distdir)" \
       || { sleep 5 && rm -rf "$(distdir)"; }; \
   else :; fi
+am__post_remove_distdir = $(am__remove_distdir)
 DIST_ARCHIVES = $(distdir).tar.gz
 GZIP_ENV = --best
+DIST_TARGETS = dist-gzip
 distuninstallcheck_listfiles = find . -type f -print
 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
 distcleancheck_listfiles = find . -type f -print
-ACLOCAL = ${SHELL} /home/christine/dev/latd/missing --run aclocal-1.11
+ACLOCAL = aclocal-1.14
 AMTAR = $${TAR-tar}
-AUTOCONF = ${SHELL} /home/christine/dev/latd/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/christine/dev/latd/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/christine/dev/latd/missing --run automake-1.11
+AM_DEFAULT_VERBOSITY = 1
+AUTOCONF = autoconf
+AUTOHEADER = autoheader
+AUTOMAKE = automake-1.14
 AWK = mawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
@@ -176,7 +254,7 @@
 CXXDEPMODE = depmode=gcc3
 CXXFLAGS = -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -DENABLE_DEFAULT_SERVICE -W
 CYGPATH_W = echo
-DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"latd\" -DVERSION=\"1.33\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_PTY_H=1 -DHAVE_TERMIOS_H=1 -DHAVE_MCHECK_H=1 -DHAVE_NETINET_ETHER_H=1 -DHAVE_NET_ETHERNET_H=1 -DHAVE_FEATURES_H=1 -DHAVE_OPENPTY=1 -DLOGIN_BIN=\"/bin/login\" -DHAVE_LOCKDEV_H=1 -DLATCP_SOCKNAME=\"/var/run/latcp\" -DLLOGIN_SOCKNAME=\"/var/run/latlogin\"
+DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"latd\" -DVERSION=\"1.34\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_PTY_H=1 -DHAVE_TERMIOS_H=1 -DHAVE_MCHECK_H=1 -DHAVE_NETINET_ETHER_H=1 -DHAVE_NET_ETHERNET_H=1 -DHAVE_FEATURES_H=1 -DHAVE_OPENPTY=1 -DLOGIN_BIN=\"/bin/login\" -DLATCP_SOCKNAME=\"/var/run/latcp\" -DLLOGIN_SOCKNAME=\"/var/run/latlogin\"
 DEPDIR = .deps
 ECHO_C = 
 ECHO_N = -n
@@ -191,12 +269,11 @@
 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
 INTERFACE = interfaces-linux.o
 LDFLAGS = -Wl,-z,relro
-LIBLOCKDEV = -llockdev
 LIBOBJS = 
 LIBS = 
 LIBUTIL = -lutil
 LTLIBOBJS = 
-MAKEINFO = ${SHELL} /home/christine/dev/latd/missing --run makeinfo
+MAKEINFO = makeinfo
 MKDIR_P = /bin/mkdir -p
 OBJEXT = o
 PACKAGE = latd
@@ -210,7 +287,7 @@
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = 
-VERSION = 1.33
+VERSION = 1.34
 abs_builddir = /home/christine/dev/latd
 abs_srcdir = /home/christine/dev/latd
 abs_top_builddir = /home/christine/dev/latd
@@ -240,7 +317,7 @@
 localedir = ${datarootdir}/locale
 localstatedir = ${prefix}/var
 mandir = ${datarootdir}/man
-mkdir_p = /bin/mkdir -p
+mkdir_p = $(MKDIR_P)
 oldincludedir = /usr/include
 pdfdir = ${docdir}
 prefix = /usr
@@ -261,78 +338,3 @@
 sysconf_DATA = latd.conf.sample
 man_MANS = latd.8 latcp.8 llogin.1 moprc.8 latd.conf.5
 latd_SOURCES = main.cc \
-	circuit.h circuit.cc \
-	clientsession.h clientsession.cc \
-	connection.h connection.cc \
-	interfaces.h interfaces.cc \
-	lat_messages.h lat_messages.cc \
-	latcpcircuit.h latcpcircuit.cc \
-	llogincircuit.h llogincircuit.cc \
-	lloginsession.h lloginsession.cc \
-	localportsession.h localportsession.cc \
-	queuedsession.h queuedsession.cc \
-	localport.h localport.cc \
-	server.h server.cc \
-	serversession.h serversession.cc \
-	services.h services.cc \
-	session.h session.cc \
-	reversesession.h reversesession.cc \
-	utils.h utils.cc \
-	dn_endian.h lat.h
-
-latcp_SOURCES = latcp.h latcp.cc utils.h utils.cc \
-	 dn_endian.h lat.h
-
-llogin_SOURCES = llogin.cc utils.cc
-moprc_SOURCES = moprc.h moprc.cc interfaces.cc utils.cc
-EXTRA_DIST = $(man_MANS) WARRANTY latd.conf.sample lat.html \
-	interfaces-linux.cc interfaces-linux.h \
-	interfaces-bpf.cc interfaces-bpf.h \
-	mkrpm.sh rpm.spec startlat.sh latprint.sh
-
-latd_DEPENDENCIES = interfaces-linux.o
-latd_LDADD = $(latd_DEPENDENCIES) -lutil
-moprc_DEPENDENCIES = interfaces-linux.o
-moprc_LDADD = $(moprc_DEPENDENCIES)
-llogin_LDADD = -llockdev
-all: all-am
-
-.SUFFIXES:
-.SUFFIXES: .cc .o .obj
-am--refresh: Makefile
-	@:
-$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
-	@for dep in $?; do \
-	  case '$(am__configure_deps)' in \
-	    *$$dep*) \
-	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
-	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
-		&& exit 0; \
-	      exit 1;; \
-	  esac; \
-	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
-	$(am__cd) $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign Makefile
-.PRECIOUS: Makefile
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
-	@case '$?' in \
-	  *config.status*) \
-	    echo ' $(SHELL) ./config.status'; \
-	    $(SHELL) ./config.status;; \
-	  *) \
-	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
-	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
-	esac;
-
-$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
-	$(SHELL) ./config.status --recheck
-
-$(top_srcdir)/configure:  $(am__configure_deps)
-	$(am__cd) $(srcdir) && $(AUTOCONF)
-$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
-	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
-$(am__aclocal_m4_deps):
-install-binPROGRAMS: $(bin_PROGRAMS)
-	@$(NORMAL_INSTALL)
-	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \

=== debian/changelog ===
latd (1.34) unstable; urgency=low

  * use flock(2) instead of liblockdev
    Closes: #728020

 -- Chrissie Caulfield <chrissie@debian.org>  Tue, 17 Dec 2013 15:21:22 +0000

latd (1.33) unstable; urgency=low

  * Switch to dpkg-source 4.0 (native) format
  * Fix build flags
  * Update automake version
  * Fix some Lintian errors regarding LSB and build flags

 -- Chrissie Caulfield <chrissie@debian.org>  Mon, 15 Apr 2013 09:27:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: latd
 Section: net
 Priority: extra
-Maintainer: Christine Caulfield <Christine.Caulfield@googlemail.com>
-Build-Depends: debhelper(>=2.0), liblockdev1-dev
+Maintainer: Christine Caulfield <chrissie@debian.org>
+Build-Depends: debhelper(>=2.0)
 Standards-Version: 3.5.9
 
 Package: latd

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,9 @@
 
 build:
 	$(checkdir)
-	./configure --prefix=/usr --sysconfdir=/etc
+	./configure  \
+		$(shell dpkg-buildflags --export=configure) \
+	  	--prefix=/usr --sysconfdir=/etc 
 	make
 	touch build
 
@@ -15,11 +17,12 @@
 	-rm -f build
 	-make clean
 	-rm -f `find . -name "*~"`
-	-rm -rf debian/latd `find debian/* -type d ! -name CVS ` debian/files* core
+	-rm -rf debian/latd `find debian/* -type d ! -name CVS ! -name source ` debian/files* core
 	-rm -f debian/*substvars
+	-rm -f debian/latd.debhelper.log
 	-rm -rf BUILD RPMS .deps
 	-rm -f config.status
-	dh_clean -k
+	dh_prep
 
 binary-indep: checkroot build
 	$(checkdir)

## latd 1.35

=== debian/changelog ===
latd (1.35) unstable; urgency=medium

  * QA upload.
  * Migrations:
      - DH level to 9.
      - Using dh-autoreconf now.
  * Upstream changes:
      - Changed name of file Configure.in to Configure.ac and update
        AM_INIT_AUTOMAKE.
      - Changed name of variable INCLUDES to AM_CPPFLAGS in file Makefile.am.
      - Fixed spell error of manpages moprc.8 and latcp.8.
      - Included status option on init.d script.
  * debian/control:
     - Bumped Standards-Version to 3.9.6.
     - Set maintainer as QA Group.
     - Removed extra Section: and Priority: fields.
     - Included ${misc:Depends} in Depends field.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Revised and updated all information.
  * debian/latd.debhelper.log: useless; removed.
  * debian/rules:
      - Updated to new (reduced) format.
      - Added the DEB_BUILD_MAINT_OPTIONS variable to improve GCC hardening.
      - Added the variable 'DEB_LDFLAGS_MAINT_APPEND' to avoid a useless
        linked dependency.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Wed, 12 Aug 2015 13:03:00 -0300

=== debian/control ===
Source: latd
Section: net
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper(>=9), dh-autoreconf
Standards-Version: 3.9.6

Package: latd
Architecture: any
Depends: ${shlibs:Depends},${misc:Depends}
Description: LAT (Local Area Transport) Daemon
 This is a server for DEC LAT. It allows users to log in to the Linux
 system from a LAT terminal server and also the creation of "reverse" LAT
 ports on the system that connect to other LAT services on the network.
 .
 There is also an llogin utility that allows users to login to remote
 LAT services and a moprc utility for managing terminal servers remotely.

## latd 1.36

=== debian/changelog ===
latd (1.36) unstable; urgency=medium

  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 14:12:15 +0800
